Bug 458624 - Review Request: teseq - An utility for rendering terminal typescripts human readable
Review Request: teseq - An utility for rendering terminal typescripts human r...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 02:48 EDT by Vivek Shah
Modified: 2008-09-24 20:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-04 12:46:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vivek Shah 2008-08-11 02:48:48 EDT
Spec URL: http://rakesh.fedorapeople.org/spec/teseq.spec
SRPM URL: http://rakesh.fedorapeople.org/srpm/teseq-1.0.0-1.fc8.src.rpm
Description: 
GNU Teseq is a tool for analyzing files that contain control characters and terminal control sequences. It is intended to be useful for diagnosing terminal emulators, and programs that make heavy use of terminal features (such as those based on the Curses library).
Comment 1 Vivek Shah 2008-08-11 02:59:11 EDT
This is my first package and I am seeking for a sponsor
Comment 2 Mamoru TASAKA 2008-08-21 11:26:21 EDT
Well, as koji (Fedora build server) is currently down I cannot do a full
review, however:

this package seems almost good except that:
* For SourceURL, consider to use %{name}, %{version} (especially %{version}).
  With this you probably don't have to modify SourceURL when version is upgraded.

And as this is NEEDSPONSOR blocker, there is some notes.
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 3 Mamoru TASAKA 2008-08-21 11:38:32 EDT
One more notes:
* As this package contains tests/ subdirectory, please consider add %check section and
  execute some test program in the section.
Comment 4 Vivek Shah 2008-08-23 06:43:38 EDT
I have updated the SOURCEURL and added the %check section with corresponding entries to %changelog

SPEC URL: http://rishi.fedorapeople.org/teseq.spec
SRPM URL: http://rishi.fedorapeople.org/teseq-1.0.0-2.fc8.src.rpm

I have also submitted another review request whose URL is 

https://bugzilla.redhat.com/show_bug.cgi?id=459871

When I put up more review requests should I check the FE:NEEDSPONSOR BLOCK and put in I am looking for a sponsor or should I just add them in the Comment field for this package to bring them to your notice ?
Comment 5 Rakesh Pandit 2008-08-24 00:43:57 EDT
To help this review:

Yes, add FE-NEEDSPONSOR to 'Blocks' field(necessary) & leave a comment are both okay

You may like to keep old changelog entries.
%changelog
* Thu Aug 21 2008 Vivek Shah <boni.vivek at gmail.com> 2.12-1
- Initial Package

I did a successful build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=782273
Comment 6 Mamoru TASAKA 2008-08-24 11:47:24 EDT
For 1.0.0-2

* %changelog
  - As Rakesh says, please keep previous changelog entries.

- Other things are okay for this package.
- Your another review request (bug 459871) seems good to some
  extent.

---------------------------------------------------------------------
      This package (teseq) is APPROVED by mtasaka
---------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor. At the stage, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 8/9, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 7 Vivek Shah 2008-08-25 00:29:43 EDT
Thanks for the reviews and the advices.
I have sent a request to be included in the Fedora Packager CVS commit group.

my FAS name is bonii

Thanks for the pointers and all the help
Comment 8 Mamoru TASAKA 2008-08-25 01:13:47 EDT
Now I am sponsoring you. Please follow "Join" wiki again.
Comment 9 Vivek Shah 2008-08-25 10:35:06 EDT
Thanks I am going through the detailed procedures on the links mentioned above.

Meanwhile I have updated (bug 459871) and also created 2 more review requests
(bug 459989) and (bug 459983)
Comment 10 Vivek Shah 2008-08-29 11:15:41 EDT
New Package CVS Request
=======================
Package Name: teseq
Short Description: An utility for rendering terminal typescripts human readable
Owners: bonii
Branches: F-8 F-9 
InitialCC: mtasaka
Comment 11 Mamoru TASAKA 2008-08-29 11:26:34 EDT
Well, I don't need myself to be added as InitialCC member.
Comment 12 Vivek Shah 2008-08-30 01:15:50 EDT
Since this is my first package which I will be adding to cvs I felt adding you to the InitialCC list was required so that you could track the progress of the package. If that is not required do tell me and I will update it
Comment 13 Mamoru TASAKA 2008-08-30 01:58:33 EDT
Well, adding the reviewer (or sponsor) to InitialCC member is not required. 

Anyway you can feel free to ask me on this bug (for this review request)
or by mailing to me if you have some questions.
Comment 14 Vivek Shah 2008-08-30 02:17:46 EDT
New Package CVS Request
=======================
Package Name: teseq
Short Description: An utility for rendering terminal typescripts human readable
Owners: bonii
Branches: F-8 F-9 
InitialCC:
Comment 15 Kevin Fenzi 2008-08-30 17:04:26 EDT
cvs done.
Comment 16 Fedora Update System 2008-09-04 08:43:03 EDT
teseq-1.0.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/teseq-1.0.0-2.fc9
Comment 17 Fedora Update System 2008-09-04 08:43:06 EDT
teseq-1.0.0-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/teseq-1.0.0-2.fc8
Comment 18 Mamoru TASAKA 2008-09-04 12:46:36 EDT
Okay, now closing.
Comment 19 Fedora Update System 2008-09-24 20:17:16 EDT
teseq-1.0.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2008-09-24 20:25:39 EDT
teseq-1.0.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.